package com.hai.model;

import com.alibaba.fastjson.JSONObject;
import com.hai.entity.HighOrder;

import java.util.List;
import java.util.Map;

public class ThirdPartyModel extends HighOrder {

    // 取餐码
    private String code;

    // 第三方订单状态
    private Integer thirdOrderStatus;

    // 第三方订单状态
    private String statusDesc;

    // 就餐方式
    private Integer eatType;

    // 	下单手机备注
    private String kfcOrderMobileRemark;

    // 取餐码
    private List<Map<String, Object>> list;

    // 第三方内容
    private JSONObject object;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getThirdOrderStatus() {
        return thirdOrderStatus;
    }

    public void setThirdOrderStatus(Integer thirdOrderStatus) {
        this.thirdOrderStatus = thirdOrderStatus;
    }


    public Integer getEatType() {
        return eatType;
    }

    public void setEatType(Integer eatType) {
        this.eatType = eatType;
    }

    public String getKfcOrderMobileRemark() {
        return kfcOrderMobileRemark;
    }

    public void setKfcOrderMobileRemark(String kfcOrderMobileRemark) {
        this.kfcOrderMobileRemark = kfcOrderMobileRemark;
    }

    public List<Map<String, Object>> getList() {
        return list;
    }

    public void setList(List<Map<String, Object>> list) {
        this.list = list;
    }

    public JSONObject getObject() {
        return object;
    }

    public void setObject(JSONObject object) {
        this.object = object;
    }

    public String getStatusDesc() {
        return statusDesc;
    }

    public void setStatusDesc(String statusDesc) {
        this.statusDesc = statusDesc;
    }
}
